## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBillboardLayer Struct Reference

A layer of billboards. More...

`#include <tools/billboard.h>`

List of all members.

## Public Member Functions

virtual const char * | GetName () const =0
| Get the name of this layer.
virtual void | GetOffset (int &x, int &y) const =0
| Get current offset of layer in billboard space.
virtual void | Move (int dx, int dy)=0
| Relative move of layer.
virtual void | SetOffset (int x, int y)=0
| Set offset of layer in billboard space.

## Detailed Description

A layer of billboards.

You can add several billboards on one layer and then you can move the layer.

Definition at line 38 of file billboard.h.

## Member Function Documentation

virtual const char* iBillboardLayer::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this layer.

virtual void iBillboardLayer::GetOffset | ( | int & | x,
|  | int & | y
| ) | const`[pure virtual]`

| Get current offset of layer in billboard space.

virtual void iBillboardLayer::Move | ( | int | dx,
|  | int | dy
| ) | `[pure virtual]`

| Relative move of layer.

virtual void iBillboardLayer::SetOffset | ( | int | x,
|  | int | y
| ) | `[pure virtual]`

| Set offset of layer in billboard space.

The documentation for this struct was generated from the following file:

- tools/billboard.h